Package org.w3c.tidy

# Class EntityTable

java.lang.Object
org.w3c.tidy.EntityTable

public final class EntityTable extends Object
Entity hash table.

Version:
  $Revision: 622 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Method Summary

Modifier and Type
Method
Description
`int`
`entityCode(String name)`
Returns the entity code for the given entity name.
`String`
`entityName(short code)`
Returns the entity name for the given entity code.
`static EntityTable`
`getDefaultEntityTable()`
Returns the default entity table instance.
`Entity`
`lookup(String name)`
Lookup an entity by its name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### lookup

public Entity lookup(String name)
Lookup an entity by its name.

Parameters:
  `name` - entity name
Returns:
  entity

### entityCode

public int entityCode(String name)
Returns the entity code for the given entity name.

Parameters:
  `name` - entity name
Returns:
  entity code or 0 for unknown entity names

### entityName

public String entityName(short code)
Returns the entity name for the given entity code.

Parameters:
  `code` - entity code
Returns:
  entity name or null for unknown entity codes

### getDefaultEntityTable

public static EntityTable getDefaultEntityTable()
Returns the default entity table instance.

Returns:
  entity table instance